<?php
require_once __DIR__."/../../../projekt/libs/vendor/autoload.php"; // autoloader

// funkcja zwracająca liczby pierwsze
function liczbyPierwsze(int $ile = 1, int $start = 2) : array
{
    $wynik = []; // tablica z liczbami pierwszymi
    $x = 1; // licznik
    $y = $start; // od jakiej liczby zaczynamy? 
    while ($x <= $ile)
    {  $z = 0;
        for ($i=1; $i<=$y; $i++)
        {
            if (($y % $i) == 0) {
                $z++;
            }
        }
        if ($z < 3) {
            $wynik[] = $y;
            $x++;
        }
        $y++;
    }
    return $wynik;
}

use Smarty\Smarty;
$smarty = new Smarty();

// definicja katalogów roboczych
$smarty->setTemplateDir('smarty/templates'); // szablony
$smarty->setCompileDir('smarty/templates_c');
$smarty->setCacheDir('smarty/cache');
$smarty->setConfigDir('smarty/configs');

// przekazanie danych do szablonu
$smarty->assign('title', 'Zmienne w Smarty'); // przekaż tekst
$smarty->assign('name', 'Krzysiek'); // przekaż tekst
$smarty->assign('x', 120); // przekaż liczbę
$smarty->assign('y', 540); // przekaż liczbę
$smarty->assign('liczby', liczbyPierwsze(ile: 10, start: 2)); // przekaż tablicę

// wyświetlenie szablonu
$smarty->display('index.tpl');